import bb.cascades 1.0

Page {
    id: aboutPage
    objectName: "AboutPage"

    Container {
        id: container
        layout: DockLayout {
        }

        Container {
            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Center
            Label {
                text: penzus.officialAppName()
                horizontalAlignment: HorizontalAlignment.Center
                textStyle.fontWeight: FontWeight.Bold
                textStyle.fontSize: FontSize.XXLarge
            }
            Label {
                text: penzus.officialAppDescription()
                horizontalAlignment: HorizontalAlignment.Center
            }
            Label {
                text: {
                    qsTr("Version ") + penzus.versionNumber()
                }
                horizontalAlignment: HorizontalAlignment.Center
            }
            Label {
                horizontalAlignment: HorizontalAlignment.Center
                text: penzus.officialUrlLink()
                textStyle.fontSize: FontSize.Large
            }
            Label {
                horizontalAlignment: HorizontalAlignment.Center
                text: penzus.officialEMailLink()
                textStyle.fontSize: FontSize.Large
            }
        }
    }

    actions: [
        InvokeActionItem {
            title: "BlackBerry World"
            imageSource: "asset:///images/world.png"
            query {
                mimeType: "application/x-bb-appworld"
                uri: "appworld://content/" + penzus.contentNumber()
                invokeActionId: "bb.action.OPEN"
            }
        },

        InvokeActionItem {
            title: qsTr("More apps...")
            imageSource: "asset:///images/moreapps.png"
            query {
                mimeType: "application/x-bb-appworld"
                uri: "appworld://vendor/" + penzus.vendorNumber()
                invokeActionId: "bb.action.OPEN"
            }
        },
        InvokeActionItem {
            query {
                mimeType: "text/plain"
                invokeActionId: "bb.action.SHARE"
                data: penzus.officialAppName()  + (". You can find it at ") + "http://appworld.blackberry.com/webstore/content/" + penzus.contentNumber()
            }
        },
        InvokeActionItem {
            title: qsTr("Feedback")
            query {
                mimeType: "text/plain"
                invokeTargetId: "sys.pim.uib.email.hybridcomposer"
                invokeActionId: "bb.action.SENDEMAIL"
                uri: penzus.officialEMailLink(false)
            }
        }
    ]
}
