import bb.cascades 1.0

Page {
    id: settingsPage
    objectName: "SettingsPage"
    titleBar: TitleBar {
        visibility: ChromeVisibility.Visible
        scrollBehavior: TitleBarScrollBehavior.Sticky
        title: qsTr("Settings")
    }

    function save() {
        penzus.setCurrentCascadesThemeIndex(cascadesThemeDropDown.selectedIndex)
        settings.save()

    }
    onCreationCompleted: {
        cascadesThemeDropDown.selectedIndex = penzus.currentCascadesThemeIndex();
    }

    Container {
        leftPadding: 20.0
        rightPadding: 20.0
        topPadding: 20.0
        bottomPadding: 20.0
        Container {
            visible: true
            id: container1
            DropDown {
                id: cascadesThemeDropDown
                title: qsTr("Visual theme")
                horizontalAlignment: HorizontalAlignment.Fill
                Option {
                    text: qsTr("Light")
                    value: "bright"
                }
                Option {
                    text: qsTr("Dark")
                    value: "dark"
                }
            }
            Label {
                text: qsTr("Changes to the visual theme will take place when application is relaunched.")
                multiline: true
            }
        }

    }
}
